aboutsummaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2016-02-05 20:00:41 -0500
committerWilliam Hubbs <w.d.hubbs@gmail.com>2016-02-09 15:39:43 -0600
commit2c1f6a16e10a45397e0872585dcb0e16684b6cbf (patch)
treed83e56f34b4e87288c71715488b30c1209ce4bb4 /init.d
parente82653782e1803e3c924aef055113333b18dafd9 (diff)
sysfs: mount pstore when available
Diffstat (limited to 'init.d')
-rw-r--r--init.d/sysfs.in9
1 files changed, 9 insertions, 0 deletions
diff --git a/init.d/sysfs.in b/init.d/sysfs.in
index 4f214f64..cc4007f9 100644
--- a/init.d/sysfs.in
+++ b/init.d/sysfs.in
@@ -88,6 +88,15 @@ mount_misc()
fi
fi
+ # Setup Kernel Support for persistent storage
+ if [ -d /sys/fs/pstore ] && ! mountinfo -q /sys/fs/pstore; then
+ if grep -qs 'pstore$' /proc/filesystems; then
+ ebegin "Mounting persistent storage (pstore) filesystem"
+ mount -t pstore pstore -o ${sysfs_opts} /sys/fs/pstore
+ eend $?
+ fi
+ fi
+
# setup up kernel support for efivarfs
# slightly complicated, as if it's build as a module but NOT yet loaded,
# it will NOT appear in /proc/filesystems yet